Method: spaces.messages.replaceCards
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
取代郵件中包含的資訊卡。只有在訊息已包含應用程式建立的資訊卡時,Chat 應用程式才能取代使用者建立的訊息中的資訊卡。
如果應用程式將卡片替換為空白清單,卡片就會移除。移除卡片後,應用程式就無法將卡片加回訊息。
需要使用授權範圍進行應用程式驗證:- https://www.googleapis.com/auth/chat.bot
HTTP 要求
POST https://chat.googleapis.com/v1/{name=spaces/*/messages/*}:replaceCards
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
name |
string
必填。訊息的資源名稱。 格式:spaces/{space}/messages/{message}
|
要求主體
要求主體會包含結構如下的資料:
| JSON 表示法 |
{
"cardsV2": [
{
object (CardWithId)
}
]
} |
| 欄位 |
cardsV2[] |
object (CardWithId)
(選用步驟) 要加入訊息的資訊卡陣列。這些資訊卡會取代訊息的現有資訊卡。如果為空白,系統會清除郵件中包含的原始資訊卡。
|
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/chat.bot
詳情請參閱授權指南。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-03-10 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-03-10 (世界標準時間)。"],[],[]]